#include <iostream>

using namespace std;

int main(){
	int i, j;
	int n, m;
	cin >> n >> m;
	int d[n], u[n];
	for(i=1 ; i<=n ; i++){
		cin >> d[i] >> u[i];
	}
	int l[m], r[m], x[m];
	for(i=1 ; i<=m ; i++){
		cin >> l[i] >> r[i] >> x[i];
	}
	int brojac[m];
	for(i=1 ; i<=m ; i++)
		brojac[i] = 0;
	for(i=1 ; i<=m ; i++){
		for(j=l[i] ; j<=r[i] ; j++){
			if( d[j] <= x[i] && u[j] >= x[i] )
				brojac[i]++;
		}
	}
	for(i=1 ; i<=m ; i++){
		cout << brojac[i] << endl;
	}
}